# azure.mgmt.cdn.models module

class `azure.mgmt.cdn.models.``Profile`(location, tags, sku=None, provisioning_state=None)

  Bases: `azure.mgmt.cdn.models.tracked_resource.TrackedResource`

  CDN profile represents the top level resource and the entry point into the CDN API. This allows users to set up a logical grouping of endpoints in addition to creating shared configuration settings and selecting pricing tiers and providers.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource ID
  - name (str) – Resource name
  - type (str) – Resource type
  - resource_state (str or `ProfileResourceState`) – Resource status of the profile. Possible values include: ‘Creating’, ‘Active’, ‘Deleting’, ‘Disabled’

  Parameters:

  - location (str) – Resource location
  - tags (dict) – Resource tags
  - sku (`Sku`) – The SKU (pricing tier) of the CDN profile.
  - provisioning_state (str or `ProvisioningState`) – Provisioning status of the profile. Possible values include: ‘Creating’, ‘Succeeded’, ‘Failed’

class `azure.mgmt.cdn.models.``Sku`(name=None)

  Bases: `msrest.serialization.Model`

  The SKU (pricing tier) of the CDN profile.

  Parameters: | name (str or `SkuName`) – Name of the pricing tier. Possible values include: ‘Standard_Verizon’, ‘Premium_Verizon’, ‘Custom_Verizon’, ‘Standard_Akamai’

class `azure.mgmt.cdn.models.``ProfileCreateParameters`(location, sku, tags=None)

  Bases: `msrest.serialization.Model`

  Profile properties required for profile creation.

  Parameters:

  - location (str) – Profile location
  - tags (dict) – Profile tags
  - sku (`Sku`) – The SKU (pricing tier) of the CDN profile.

class `azure.mgmt.cdn.models.``ProfileUpdateParameters`(tags)

  Bases: `msrest.serialization.Model`

  Profile properties required for profile update.

  Parameters: | tags (dict) – Profile tags

class `azure.mgmt.cdn.models.``SsoUri`(sso_uri_value=None)

  Bases: `msrest.serialization.Model`

  SSO URI required to login to third party web portal.

  Parameters: | sso_uri_value (str) – The URI used to login to third party web portal.

class `azure.mgmt.cdn.models.``Endpoint`(location, tags, origin_host_header=None, origin_path=None, content_types_to_compress=None, is_compression_enabled=None, is_http_allowed=None, is_https_allowed=None, query_string_caching_behavior=None, origins=None, provisioning_state=None)

  Bases: `azure.mgmt.cdn.models.tracked_resource.TrackedResource`

  CDN endpoint is the entity within a CDN profile containing configuration information regarding caching behaviors and origins. The CDN endpoint is exposed using the URL format <endpointname>.azureedge.net by default, but custom domains can also be created.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource ID
  - name (str) – Resource name
  - type (str) – Resource type
  - host_name (str) – The host name of the endpoint {endpointName}.{DNSZone}
  - resource_state (str or `EndpointResourceState`) – Resource status of the endpoint. Possible values include: ‘Creating’, ‘Deleting’, ‘Running’, ‘Starting’, ‘Stopped’, ‘Stopping’

  Parameters:

  - location (str) – Resource location
  - tags (dict) – Resource tags
  - origin_host_header (str) – The host header the CDN provider will send along with content requests to origins. The default value is the host name of the origin.
  - origin_path (str) – The path used for origin requests.
  - content_types_to_compress (list of str) – List of content types on which compression will be applied. The value for the elements should be a valid MIME type.
  - is_compression_enabled (bool) – Indicates whether the compression is enabled. Default value is false. If compression is enabled, the content transferred from cdn endpoint to end user will be compressed. The requested content must be larger than 1 byte and smaller than 1 MB.
  - is_http_allowed (bool) – Indicates whether HTTP traffic is allowed on the endpoint. Default value is true. At least one protocol (HTTP or HTTPS) must be allowed.
  - is_https_allowed (bool) – Indicates whether https traffic is allowed on the endpoint. Default value is true. At least one protocol (HTTP or HTTPS) must be allowed.
  - query_string_caching_behavior (str or `QueryStringCachingBehavior`) – Defines the query string caching behavior. Possible values include: ‘IgnoreQueryString’, ‘BypassCaching’, ‘UseQueryString’, ‘NotSet’
  - origins (list of `DeepCreatedOrigin`) – The set of origins for the CDN endpoint. When multiple origins exist, the first origin will be used as primary and rest will be used as failover options.
  - provisioning_state (str or `ProvisioningState`) – Provisioning status of the endpoint. Possible values include: ‘Creating’, ‘Succeeded’, ‘Failed’

class `azure.mgmt.cdn.models.``DeepCreatedOrigin`(name, host_name, http_port=None, https_port=None)

  Bases: `msrest.serialization.Model`

  Deep created origins within a CDN endpoint.

  Parameters:

  - name (str) – Origin name
  - host_name (str) – The address of the origin. Domain names, IPv4 addresses, and IPv6 addresses are supported.
  - http_port (int) – The value of the HTTP port. Must be between 1 and 65535
  - https_port (int) – The value of the HTTPS port. Must be between 1 and 65535

class `azure.mgmt.cdn.models.``EndpointCreateParameters`(location, origins, tags=None, origin_host_header=None, origin_path=None, content_types_to_compress=None, is_compression_enabled=None, is_http_allowed=None, is_https_allowed=None, query_string_caching_behavior=None)

  Bases: `msrest.serialization.Model`

  Endpoint properties required for new endpoint creation.

  Parameters:

  - location (str) – Endpoint location
  - tags (dict) – Endpoint tags
  - origin_host_header (str) – The host header CDN provider will send along with content requests to origins. The default value is the host name of the origin.
  - origin_path (str) – The path used for origin requests.
  - content_types_to_compress (list of str) – List of content types on which compression will be applied. The value for the elements should be a valid MIME type.
  - is_compression_enabled (bool) – Indicates whether content compression is enabled. Default value is false. If compression is enabled, the content transferred from the CDN endpoint to the end user will be compressed. The requested content must be larger than 1 byte and smaller than 1 MB.
  - is_http_allowed (bool) – Indicates whether HTTP traffic is allowed on the endpoint. Default value is true. At least one protocol (HTTP or HTTPS) must be allowed.
  - is_https_allowed (bool) – Indicates whether https traffic is allowed on the endpoint. Default value is true. At least one protocol (HTTP or HTTPS) must be allowed.
  - query_string_caching_behavior (str or `QueryStringCachingBehavior`) – Defines the query string caching behavior. Possible values include: ‘IgnoreQueryString’, ‘BypassCaching’, ‘UseQueryString’, ‘NotSet’
  - origins (list of `DeepCreatedOrigin`) – The set of origins for the CDN endpoint. When multiple origins exist, the first origin will be used as primary and rest will be used as failover options.

class `azure.mgmt.cdn.models.``EndpointUpdateParameters`(tags=None, origin_host_header=None, origin_path=None, content_types_to_compress=None, is_compression_enabled=None, is_http_allowed=None, is_https_allowed=None, query_string_caching_behavior=None)

  Bases: `msrest.serialization.Model`

  Endpoint properties required for new endpoint creation.

  Parameters:

  - tags (dict) – Endpoint tags
  - origin_host_header (str) – The host header the CDN provider will send along with content requests to origins. The default value is the host name of the origin.
  - origin_path (str) – The path used for origin requests.
  - content_types_to_compress (list of str) – List of content types on which compression will be applied. The value for the elements should be a valid MIME type.
  - is_compression_enabled (bool) – Indicates whether content compression is enabled. Default value is false. If compression is enabled, the content transferred from the CDN endpoint to the end user will be compressed. The requested content must be larger than 1 byte and smaller than 1 MB.
  - is_http_allowed (bool) – Indicates whether HTTP traffic is allowed on the endpoint. Default value is true. At least one protocol (HTTP or HTTPS) must be allowed.
  - is_https_allowed (bool) – Indicates whether HTTPS traffic is allowed on the endpoint. Default value is true. At least one protocol (HTTP or HTTPS) must be allowed.
  - query_string_caching_behavior (str or `QueryStringCachingBehavior`) – Defines the query string caching behavior. Possible values include: ‘IgnoreQueryString’, ‘BypassCaching’, ‘UseQueryString’, ‘NotSet’

class `azure.mgmt.cdn.models.``PurgeParameters`(content_paths)

  Bases: `msrest.serialization.Model`

  Parameters required for endpoint purge.

  Parameters: | content_paths (list of str) – The path to the content to be purged. Can describe a file path or a wild card directory.

class `azure.mgmt.cdn.models.``LoadParameters`(content_paths)

  Bases: `msrest.serialization.Model`

  Parameters required for endpoint load.

  Parameters: | content_paths (list of str) – The path to the content to be loaded. Should describe a file path.

class `azure.mgmt.cdn.models.``Origin`(host_name, http_port=None, https_port=None, provisioning_state=None)

  Bases: `azure.mgmt.cdn.models.resource.Resource`

  CDN origin is the source of the content being delivered via CDN. When the edge nodes represented by an endpoint do not have the requested content cached, they attempt to fetch it from one or more of the configured origins.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource ID
  - name (str) – Resource name
  - type (str) – Resource type
  - resource_state (str or `OriginResourceState`) – Resource status of the origin. Possible values include: ‘Creating’, ‘Active’, ‘Deleting’

  Parameters:

  - host_name (str) – The address of the origin. Domain names, IPv4 addresses, and IPv6 addresses are supported.
  - http_port (int) – The value of the HTTP port. Must be between 1 and 65535.
  - https_port (int) – The value of the https port. Must be between 1 and 65535.
  - provisioning_state (str or `ProvisioningState`) – Provisioning status of the origin. Possible values include: ‘Creating’, ‘Succeeded’, ‘Failed’

class `azure.mgmt.cdn.models.``OriginParameters`(host_name, http_port=None, https_port=None)

  Bases: `msrest.serialization.Model`

  Origin properties needed for origin creation or update.

  Parameters:

  - host_name (str) – The address of the origin. Domain names, IPv4 addresses, and IPv6 addresses are supported.
  - http_port (int) – The value of the HTTP port. Must be between 1 and 65535.
  - https_port (int) – The value of the HTTPS port. Must be between 1 and 65535.

class `azure.mgmt.cdn.models.``CustomDomain`(host_name, provisioning_state=None)

  Bases: `azure.mgmt.cdn.models.resource.Resource`

  CDN CustomDomain represents a mapping between a user specified domain name and a CDN endpoint. This is to use custom domain names to represent the URLs for branding purposes.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource ID
  - name (str) – Resource name
  - type (str) – Resource type
  - resource_state (str or `CustomDomainResourceState`) – Resource status of the custom domain. Possible values include: ‘Creating’, ‘Active’, ‘Deleting’

  Parameters:

  - host_name (str) – The host name of the custom domain. Must be a domain name.
  - provisioning_state (str or `ProvisioningState`) – Provisioning status of the custom domain. Possible values include: ‘Creating’, ‘Succeeded’, ‘Failed’

class `azure.mgmt.cdn.models.``CustomDomainParameters`(host_name)

  Bases: `msrest.serialization.Model`

  CustomDomain properties required for custom domain creation or update.

  Parameters: | host_name (str) – The host name of the custom domain. Must be a domain name.

class `azure.mgmt.cdn.models.``ValidateCustomDomainInput`(host_name)

  Bases: `msrest.serialization.Model`

  Input of the custom domain to be validated.

  Parameters: | host_name (str) – The host name of the custom domain. Must be a domain name.

class `azure.mgmt.cdn.models.``ValidateCustomDomainOutput`(custom_domain_validated=None, reason=None, message=None)

  Bases: `msrest.serialization.Model`

  Output of custom domain validation.

  Parameters:

  - custom_domain_validated (bool) – Indicates whether the custom domain is validated or not.
  - reason (str) – The reason why the custom domain is not valid.
  - message (str) – The message describing why the custom domain is not valid.

class `azure.mgmt.cdn.models.``CheckNameAvailabilityInput`(name)

  Bases: `msrest.serialization.Model`

  Input of CheckNameAvailability API.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters: | name (str) – The resource name to validate.
  Variables: | type (str) – The type of the resource whose name is to be validated. Default value: “Microsoft.Cdn/Profiles/Endpoints” .

  `type` = 'Microsoft.Cdn/Profiles/Endpoints'

class `azure.mgmt.cdn.models.``CheckNameAvailabilityOutput`(name_available=None, reason=None, message=None)

  Bases: `msrest.serialization.Model`

  Output of check name availability API.

  Parameters:

  - name_available (bool) – Indicates whether the name is available.
  - reason (str) – The reason why the name is not available.
  - message (str) – The detailed error message describing why the name is not available.

class `azure.mgmt.cdn.models.``Operation`(name=None, display=None)

  Bases: `msrest.serialization.Model`

  CDN REST API operation.

  Parameters:

  - name (str) – Operation name: {provider}/{resource}/{operation}
  - display (`OperationDisplay`) –

class `azure.mgmt.cdn.models.``OperationDisplay`(provider=None, resource=None, operation=None)

  Bases: `msrest.serialization.Model`

  OperationDisplay.

  Parameters:

  - provider (str) – Service provider: Microsoft.Cdn
  - resource (str) – Resource on which the operation is performed: Profile, endpoint, etc.
  - operation (str) – Operation type: Read, write, delete, etc.

class `azure.mgmt.cdn.models.``TrackedResource`(location, tags)

  Bases: `azure.mgmt.cdn.models.resource.Resource`

  ARM tracked resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource ID
  - name (str) – Resource name
  - type (str) – Resource type

  Parameters:

  - location (str) – Resource location
  - tags (dict) – Resource tags

class `azure.mgmt.cdn.models.``Resource`

  Bases: `msrest.serialization.Model`

  Resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource ID
  - name (str) – Resource name
  - type (str) – Resource type

class `azure.mgmt.cdn.models.``ErrorResponse`(code=None, message=None)

  Bases: `msrest.serialization.Model`

  ErrorResponse.

  Parameters:

  - code (str) – Error code
  - message (str) – Error message indicating why the operation failed.

exception `azure.mgmt.cdn.models.``ErrorResponseException`(deserialize, response, *args)

  Bases: `msrest.exceptions.HttpOperationError`

  Server responsed with exception of type: ‘ErrorResponse’.

  Parameters:

  - deserialize – A deserializer
  - response – Server response to be deserialized.

class `azure.mgmt.cdn.models.``ProfilePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of Profile object

class `azure.mgmt.cdn.models.``EndpointPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of Endpoint object

class `azure.mgmt.cdn.models.``OriginPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of Origin object

class `azure.mgmt.cdn.models.``CustomDomainPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of CustomDomain object

class `azure.mgmt.cdn.models.``OperationPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of Operation object

class `azure.mgmt.cdn.models.``SkuName`

  Bases: `enum.Enum`

  `custom_verizon` = 'Custom_Verizon'
  `premium_verizon` = 'Premium_Verizon'
  `standard_akamai` = 'Standard_Akamai'
  `standard_verizon` = 'Standard_Verizon'

class `azure.mgmt.cdn.models.``ProfileResourceState`

  Bases: `enum.Enum`

  `active` = 'Active'
  `creating` = 'Creating'
  `deleting` = 'Deleting'
  `disabled` = 'Disabled'

class `azure.mgmt.cdn.models.``ProvisioningState`

  Bases: `enum.Enum`

  `creating` = 'Creating'
  `failed` = 'Failed'
  `succeeded` = 'Succeeded'

class `azure.mgmt.cdn.models.``QueryStringCachingBehavior`

  Bases: `enum.Enum`

  `bypass_caching` = 'BypassCaching'
  `ignore_query_string` = 'IgnoreQueryString'
  `not_set` = 'NotSet'
  `use_query_string` = 'UseQueryString'

class `azure.mgmt.cdn.models.``EndpointResourceState`

  Bases: `enum.Enum`

  `creating` = 'Creating'
  `deleting` = 'Deleting'
  `running` = 'Running'
  `starting` = 'Starting'
  `stopped` = 'Stopped'
  `stopping` = 'Stopping'

class `azure.mgmt.cdn.models.``OriginResourceState`

  Bases: `enum.Enum`

  `active` = 'Active'
  `creating` = 'Creating'
  `deleting` = 'Deleting'

class `azure.mgmt.cdn.models.``CustomDomainResourceState`

  Bases: `enum.Enum`

  `active` = 'Active'
  `creating` = 'Creating'
  `deleting` = 'Deleting'

class `azure.mgmt.cdn.models.``ResourceType`

  Bases: `enum.Enum`

  `microsoft_cdn_profiles_endpoints` = 'Microsoft.Cdn/Profiles/Endpoints'